Bug 518796 - ntop segfaults after a few minutes
Summary: ntop segfaults after a few minutes
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ntop
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 22:38 UTC by Stuart Anderson
Modified: 2010-06-28 14:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:14:37 UTC


Attachments (Terms of Use)

Description Stuart Anderson 2009-08-22 22:38:56 UTC
Description of problem:

ntop segfaults within a few minutes of starting up


Version-Release number of selected component (if applicable):

# rpm -q ntop
ntop-3.3.6-6.el5


How reproducible:


100%


Steps to Reproduce:
1. start ntop with no options and wait a few minutes for segfault message
2.
3.
  
Actual results:

# ntop
Sat Aug 22 15:35:30 2009  NOTE: Interface merge enabled by default
Sat Aug 22 15:35:30 2009  Initializing gdbm databases
Sat Aug 22 15:35:30 2009  ntop will be started as user ntop
Sat Aug 22 15:35:30 2009  ntop v.3.3.6 Fedora RPM
Sat Aug 22 15:35:30 2009  Configured on Aug 29 2008  5:13:18, built on Aug 29 2008 05:13:27.
Sat Aug 22 15:35:30 2009  Copyright 1998-2007 by Luca Deri <deri@ntop.org>
Sat Aug 22 15:35:30 2009  Get the freshest ntop from http://www.ntop.org/
Sat Aug 22 15:35:30 2009  NOTE: ntop is running from 'ntop'
Sat Aug 22 15:35:30 2009  NOTE: (but see warning on man page for the --instance parameter)
Sat Aug 22 15:35:30 2009  NOTE: ntop libraries are in '/usr/lib64'
Sat Aug 22 15:35:30 2009  Initializing ntop
Sat Aug 22 15:35:30 2009  No patterns to load: protocol guessing disabled.
Sat Aug 22 15:35:30 2009  Checking eth0 for additional devices
Sat Aug 22 15:35:30 2009  Resetting traffic statistics for device eth0
Sat Aug 22 15:35:30 2009  Initializing device eth0 (0)
Sat Aug 22 15:35:30 2009  DLT: Device 0 [eth0] is 1, mtu 1514, header 14
Sat Aug 22 15:35:30 2009  Initializing gdbm databases
Sat Aug 22 15:35:30 2009  VENDOR: Loading MAC address table.
Sat Aug 22 15:35:30 2009  VENDOR: Checking for MAC address table file
Sat Aug 22 15:35:30 2009  VENDOR: File '/etc/ntop/specialMAC.txt.gz' does not need to be reloaded
Sat Aug 22 15:35:30 2009  VENDOR: ntop continues ok
Sat Aug 22 15:35:30 2009  VENDOR: Checking for MAC address table file
Sat Aug 22 15:35:30 2009  VENDOR: File '/etc/ntop/oui.txt.gz' does not need to be reloaded
Sat Aug 22 15:35:30 2009  VENDOR: ntop continues ok
Sat Aug 22 15:35:30 2009  Fingerprint: Loading signature file
Sat Aug 22 15:35:30 2009  Fingerprint: Checking for Fingerprint file... file
Sat Aug 22 15:35:30 2009  Fingerprint: Loading file '/etc/ntop/etter.finger.os.gz'
Sat Aug 22 15:35:30 2009  Fingerprint: ...loaded 0 records
Sat Aug 22 15:35:30 2009  ASN: Checking for Autonomous System Number table file
Sat Aug 22 15:35:30 2009  **WARNING** ASN: Unable to open file 'AS-list.txt'
Sat Aug 22 15:35:30 2009  I18N: Default language (from ntop host) is 'C'
Sat Aug 22 15:35:30 2009  I18N: This instance of ntop supports 0 additional language(s)
Sat Aug 22 15:35:30 2009  IP2CC: Checking for IP address <-> Country Code mapping file
Sat Aug 22 15:35:30 2009  IP2CC: Loading file '/etc/ntop/p2c.opt.table.gz'
Sat Aug 22 15:35:30 2009  IP2CC: ...found 52395 lines
Sat Aug 22 15:35:30 2009  **ERROR** Failed to connect to MySQL: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) [localhost:root::ntop]
Sat Aug 22 15:35:30 2009  Initializing external applications
Sat Aug 22 15:35:30 2009  THREADMGMT[t1110952256]: SFP: Started thread for fingerprinting
Sat Aug 22 15:35:30 2009  THREADMGMT[t1121442112]: SIH: Started thread for idle hosts detection
Sat Aug 22 15:35:30 2009  THREADMGMT[t1131931968]: DNSAR(1): Started thread for DNS address resolution
Sat Aug 22 15:35:30 2009  THREADMGMT[t1110952256]: SFP: Fingerprint scan thread starting [p6046]
Sat Aug 22 15:35:30 2009  THREADMGMT[t1121442112]: SIH: Idle host scan thread starting [p6046]
Sat Aug 22 15:35:30 2009  THREADMGMT[t1142421824]: DNSAR(2): Started thread for DNS address resolution
Sat Aug 22 15:35:30 2009  THREADMGMT[t1131931968]: DNSAR(1): Address resolution thread running
Sat Aug 22 15:35:30 2009  THREADMGMT[t1142421824]: DNSAR(2): Address resolution thread running
Sat Aug 22 15:35:30 2009  THREADMGMT[t1152911680]: DNSAR(3): Address resolution thread running
Sat Aug 22 15:35:30 2009  THREADMGMT[t1152911680]: DNSAR(3): Started thread for DNS address resolution
Sat Aug 22 15:35:30 2009  Calling plugin start functions (if any)
Sat Aug 22 15:35:30 2009  SSL is present but https is disabled: use -W <https port> for enabling it
Sat Aug 22 15:35:30 2009  INITWEB: Initializing web server
Sat Aug 22 15:35:30 2009  INITWEB: Initializing TCP/IP socket connections for web server
Sat Aug 22 15:35:30 2009  INITWEB: Initialized socket, port 3000, address (any)
Sat Aug 22 15:35:30 2009  INITWEB: Waiting for HTTP connections on port 3000
Sat Aug 22 15:35:30 2009  INITWEB: Starting web server
Sat Aug 22 15:35:30 2009  THREADMGMT[t1163401536]: INITWEB: Started thread for web server
Sat Aug 22 15:35:30 2009  Listening on [eth0]
Sat Aug 22 15:35:30 2009  THREADMGMT[t1163401536]: WEB: Server connection thread starting [p6046]
Sat Aug 22 15:35:30 2009  Loading Plugins
Sat Aug 22 15:35:30 2009  Note: SIGPIPE handler set (ignore)
Sat Aug 22 15:35:30 2009  Searching for plugins in /usr/lib64/ntop/plugins
Sat Aug 22 15:35:30 2009  THREADMGMT[t1163401536]: WEB: Server connection thread running [p6046]
Sat Aug 22 15:35:30 2009  WEB: ntop's web server is now processing requests
Sat Aug 22 15:35:30 2009  Remote: Welcome to Remote. (C) 2006-07 by L.Deri
Sat Aug 22 15:35:30 2009  LASTSEEN: Welcome to Host Last Seen. (C) 1999 by Andrea Marangoni
Sat Aug 22 15:35:30 2009  NETFLOW: Welcome to NetFlow.(C) 2002-08 by Luca Deri
Sat Aug 22 15:35:30 2009  ICMP: Welcome to ICMP Watch. (C) 1999-2005 by Luca Deri
Sat Aug 22 15:35:30 2009  RRD: Welcome to Round-Robin Databases. (C) 2002-07 by Luca Deri.
Sat Aug 22 15:35:30 2009  SFLOW: Welcome to sFlow.(C) 2002-04 by Luca Deri
Sat Aug 22 15:35:30 2009  PDA: Welcome to PDA. (C) 2001-2005 by L.Deri and W.Brock
Sat Aug 22 15:35:30 2009  Calling plugin start functions (if any)
Sat Aug 22 15:35:30 2009  RRD: Welcome to the RRD plugin
Sat Aug 22 15:35:30 2009  RRD: Mask for new directories is 0700
Sat Aug 22 15:35:30 2009  RRD: Mask for new files is 0066
Sat Aug 22 15:35:30 2009  RRD_DEBUG: Parameters:
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpInterval 300 seconds
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpShortInterval 10 seconds
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpHours 72 hours by 300 seconds
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpDays 90 days by hour
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpMonths 36 months by day
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpDomains no
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpFlows no
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpSubnets no
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpHosts no
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpInterfaces yes
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpASs no
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpMatrix no
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     dumpDetail medium
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     hostsFilter 
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     rrdPath /var/lib/ntop/rrd [normal]
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     rrdPath /var/lib/ntop/rrd [dynamic/volatile]
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     umask 0066
Sat Aug 22 15:35:30 2009  RRD_DEBUG:     DirPerms 0700
Sat Aug 22 15:35:30 2009  THREADMGMT: RRD: Started thread (t1173891392) for data collection
Sat Aug 22 15:35:30 2009  THREADMGMT[t1173891392]: RRD: Data collection thread starting [p6046]
Sat Aug 22 15:35:30 2009  INIT: Created pid file (/var/run/ntop.pid)
Sat Aug 22 15:35:30 2009  THREADMGMT[t47102800602432]: ntop RUNSTATE: INITNONROOT(3)
Sat Aug 22 15:35:30 2009  Now running as requested user 'ntop' (465:467)
Sat Aug 22 15:35:30 2009  Note: Reporting device initally set to 0 [eth0] (merged)
Sat Aug 22 15:35:30 2009  THREADMGMT[t47102800602432]: ntop RUNSTATE: RUN(4)
Sat Aug 22 15:35:30 2009  THREADMGMT[t1184381248]: NPS(1): Started thread for network packet sniffing [eth0]
Sat Aug 22 15:35:30 2009  THREADMGMT[t1184381248]: NPS(eth0): pcapDispatch thread starting [p6046]
Sat Aug 22 15:35:30 2009  THREADMGMT[t1184381248]: NPS(eth0): pcapDispatch thread running [p6046]
Sat Aug 22 15:35:30 2009  THREADMGMT[t1110952256]: SFP: Fingerprint scan thread running [p6046]
Sat Aug 22 15:35:30 2009  THREADMGMT[t1121442112]: SIH: Idle host scan thread running [p6046]
Sat Aug 22 15:35:40 2009  THREADMGMT[t1194871104]: RRD: Started thread for throughput data collection
Sat Aug 22 15:35:40 2009  THREADMGMT[t1194871104]: RRD: Throughput data collection: Thread starting [p6046]
Sat Aug 22 15:35:40 2009  THREADMGMT[t1173891392]: RRD: Data collection thread running [p6046]
Sat Aug 22 15:35:40 2009  THREADMGMT[t1194871104]: RRD: Throughput data collection: Thread running [p6046]
Segmentation fault


Expected results:


Additional info:

Comment 1 Rakesh Pandit 2009-09-24 07:40:40 UTC
Update to 3.3.9 on Fedora 11 latest release and then check.

Comment 2 Stuart Anderson 2009-09-25 20:28:31 UTC
Is that version supported on RHEL 5/CentOS 5?

Comment 3 Rakesh Pandit 2009-10-01 04:43:08 UTC
No, as this was reported against Fedora, I though you are on fedora ... but EPEL has not got any update since long. I have requested huzafis to look into the matter.

He has filed a ticket to get this one fixed and import the latest release which fixes the issue:

https://fedorahosted.org/rel-eng/ticket/2232

Thanks,

Comment 4 Huzaifa S. Sidhpurwala 2009-10-26 06:01:55 UTC
ntop 3.3.9 is in EL-5 testing now.
Please test this and let me know how it goes.

Comment 5 Bug Zapper 2010-04-28 09:54:05 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-06-28 14:14:37 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.